Create Playlist
Create new playlist
curl -X POST "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlist/new" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "PUT",
"name": "Test Final",
"loop": "repeat",
"type": "file",
"schedule": "scheduleontime",
"autorestart": "No",
"scheduleontime": "01:00",
"repeatfor": 1
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlist/new"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "PUT",
"name": "Test Final",
"loop": "repeat",
"type": "file",
"schedule": "scheduleontime",
"autorestart": "No",
"scheduleontime": "01:00",
"repeatfor": 1
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlist/new", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "PUT",
"name": "Test Final",
"loop": "repeat",
"type": "file",
"schedule": "scheduleontime",
"autorestart": "No",
"scheduleontime": "01:00",
"repeatfor": 1
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "PUT",
"name": "Test Final",
"loop": "repeat",
"type": "file",
"schedule": "scheduleontime",
"autorestart": "No",
"scheduleontime": "01:00",
"repeatfor": 1
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlist/new", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlist/new')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "PUT",
"name": "Test Final",
"loop": "repeat",
"type": "file",
"schedule": "scheduleontime",
"autorestart": "No",
"scheduleontime": "01:00",
"repeatfor": 1
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Playlist Updated"
}
/streams/scheduledplaylist/{streamid}/playlist/newTarget server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
HTTP method override for this request. This endpoint accepts POST, but set this to PUT to perform an update operation.
Friendly name for this resource.
Loop playback. Y means loop continuously, N means play once.
Type identifier for this resource.
Schedule type. Values: instant, scheduleontime, scheduleondatetime.
Automatically restart the stream if it stops. 1 means enabled, 0 means disabled.
Time of day to start the stream, in HH:MM format.
Number of times to repeat. 0 means no repeat.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
HTTP method override for this request. This endpoint accepts POST, but set this to PUT to perform an update operation.
PUTSchedule type. Values: instant, scheduleontime, scheduleondatetime.
scheduleontimeAutomatically restart the stream if it stops. 1 means enabled, 0 means disabled.
NoResponses
Status of the API response.
Human-readable message describing the result.